# Uses of Interface
org.eclipse.birt.chart.model.attribute.Image

Packages that use Image
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of Image in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Image
Modifier and Type
Method
Description
`Image`
GObjectFactory.`copyOf(Image src)`
`Image`
IGObjectFactory.`copyOf(Image src)`
`Image`
GObjectFactory.`createImage(String sUrl)`
`Image`
IGObjectFactory.`createImage(String sUrl)`
Methods in org.eclipse.birt.chart.computation with parameters of type Image
Modifier and Type
Method
Description
`Image`
GObjectFactory.`copyOf(Image src)`
`Image`
IGObjectFactory.`copyOf(Image src)`

## Uses of Image in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Image
Modifier and Type
Method
Description
`Image`
ImageRenderEvent.`getImage()`
Methods in org.eclipse.birt.chart.event with parameters of type Image
Modifier and Type
Method
Description
`void`
ImageRenderEvent.`setImage(Image img)`
Sets the content of the image.

## Uses of Image in org.eclipse.birt.chart.model.attribute

Subinterfaces of Image in org.eclipse.birt.chart.model.attribute
Modifier and Type
Interface
Description
`interface`
`EmbeddedImage`
A representation of the model object 'Embedded Image'.
`interface`
`PatternImage`
A representation of the model object 'Pattern Image'.
Methods in org.eclipse.birt.chart.model.attribute that return Image
Modifier and Type
Method
Description
`Image`
Image.`copyInstance()`
`Image`
AttributeFactory.`createImage()`
Returns a new object of class 'Image'.
`Image`
Style.`getBackgroundImage()`
Returns the value of the 'Background Image' containment reference.
Methods in org.eclipse.birt.chart.model.attribute that return types with arguments of type Image
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Image>`
Cursor.`getImage()`
Returns the value of the 'Image' containment reference list.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type Image
Modifier and Type
Method
Description
`void`
Style.`setBackgroundImage(Image value)`
Sets the value of the '`Background Image`' containment reference.

## Uses of Image in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Image
Modifier and Type
Class
Description
`class`
`EmbeddedImageImpl`
An implementation of the model object 'Embedded Image'.
`class`
`ImageImpl`
An implementation of the model object ' Image'.
`class`
`PatternImageImpl`
An implementation of the model object 'Pattern Image'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Image
Modifier and Type
Method
Description
`Image`
ImageImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Image`
EmbeddedImageImpl.`create(String sURL, String sData)`
A convenient method to create and initialize an EmbeddedImage instance.
`static final Image`
ImageImpl.`create(String sURL)`
A convenient method to create and initialize an Image instance.
`static final Image`
ImageImpl.`create(String sURL, ImageSourceType source)`
A convenient method to create and initialize an Image instance.
`Image`
AttributeFactoryImpl.`createImage()`
`Image`
StyleImpl.`getBackgroundImage()`
Methods in org.eclipse.birt.chart.model.attribute.impl that return types with arguments of type Image
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Image>`
CursorImpl.`getImage()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Image
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
StyleImpl.`basicSetBackgroundImage(Image newBackgroundImage, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static Style`
StyleImpl.`create(FontDefinition font, ColorDefinition color, ColorDefinition backcolor, Image backimage, Insets padding)`
`void`
StyleImpl.`setBackgroundImage(Image newBackgroundImage)`